function Q0Em = RectMesh_ConvCQ1toQ0(RectMesh,CQ1NdVal)
% RectMesh: Converting CQ1 (cont.poly.deg.1) to Q0 (pcws.const.) 
% James Liu, ColoState; 2012/07--2017/02 

%% Converting 
% NOTE: CQ1NdlVal has size NumNds-by-1 
% NOTE: Q0Em has size NumEms-by-1 
val = CQ1NdVal(RectMesh.elem(:,1:4));
Q0Em = 0.25*sum(val,2);

return;